package pay

import (
	"net/http"

	"sim-server/app/main/api/internal/logic/pay"
	"sim-server/app/main/api/internal/svc"
	"sim-server/common/result"
)

func YunYinSignPayCallbackHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := pay.NewYunYinSignPayCallbackLogic(r.Context(), svcCtx)
		err := l.YunYinSignPayCallback(w, r)
		result.HttpResult(r, w, nil, err)
	}
}
